---
title: EventSource.readyState
slug: Web/API/EventSource/readyState
tags:
  - API
  - EventSource
  - Property
  - Reference
  - Server-sent events
  - readyState
---
<div>{{APIRef('WebSockets API')}}</div>

<p>The <code><strong>readyState</strong></code> read-only property of the {{domxref("EventSource")}} interface returns a number representing the state of the connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myReadyState = eventSource.readyState;</pre>

<h3 id="Value">Value</h3>

<p>A number representing the state of the connection. Possible values are:</p>

<ul>
 <li><code>0</code> — connecting</li>
 <li><code>1</code> — open</li>
 <li><code>2</code> — closed</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var evtSource = new EventSource('sse.php');
console.log(evtSource.readyState);</pre>

<div class="note">
<p><strong>Note</strong>: You can find a full example on GitHub — see <a href="https://github.com/mdn/dom-examples/tree/master/server-sent-events">Simple SSE demo using PHP.</a></p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "comms.html#dom-eventsource-readystate", "readyState")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<ul>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.EventSource.readyState")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("EventSource")}}</li>
</ul>
